Get outreach campaign fields for a contact
curl --request GET \
--url https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId} \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Autocash Septiembre"
},
"dispatched_at": "2023-11-07T05:31:56Z",
"responded": true,
"responded_at": "2023-11-07T05:31:56Z",
"ticket_fields": [
{
"key": "rut",
"name": "RUT",
"value": "11111111-1"
}
]
}
]
}Templates & Campaigns
Get outreach campaign fields for a contact
Retrieve every outreach campaign the contact was a recipient of, newest first, with whether they responded and the ticket fields uploaded for them with the campaign audience. Works whether or not the contact has a ticket.
GET
/
api
/
public
/
outreach-campaign
/
recipients
/
by-contact
/
{contactId}
Get outreach campaign fields for a contact
curl --request GET \
--url https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId} \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Autocash Septiembre"
},
"dispatched_at": "2023-11-07T05:31:56Z",
"responded": true,
"responded_at": "2023-11-07T05:31:56Z",
"ticket_fields": [
{
"key": "rut",
"name": "RUT",
"value": "11111111-1"
}
]
}
]
}Headers
API key needed to authorize the request
Path Parameters
The ID of the contact
Query Parameters
Only return the recipient entry for this outreach campaign
Was this page helpful?
